// Copyright (c) 2019 Ultimaker B.V.
// Uranium is released under the terms of the LGPLv3 or higher.

import QtQuick 2.2
import QtQuick.Controls 1.2

import Cura 1.0 as Cura
import UM 1.1 as UM

Item
{
    width: childrenRect.width
    height: childrenRect.height

    UM.I18nCatalog { id: catalog; name: "uranium"}

    Column
    {
        id: items
        anchors.top: parent.top;
        anchors.left: parent.left;
        spacing: UM.Theme.getSize("default_margin").height;
        Text {
            id: titleLabel
            wrapMode: Text.WordWrap
            text: "AutoParter"
            font: UM.Theme.getFont("medium_bold")
            color: UM.Theme.getColor("text")
        }

        Text {
            id: descriptionLabel
            width: 200
            text: "Part object, create connections and put it back together."
            font: UM.Theme.getFont("default")
            //font: UM.Theme.getFont("default_italic")
            color: UM.Theme.getColor("text")
            wrapMode: Text.WordWrap
        }


        Row {
          width: items.width
          layoutDirection: Qt.RightToLeft
          Cura.PrimaryButton
          {
              id: secondButton;
              height: UM.Theme.getSize("setting_control").height;

              text: "Part object"

              onClicked:
              {
                  UM.ActiveTool.triggerAction("_startPressed");
              }
          }
        }




    }


}
