import QtQuick 2.2
import QtQuick.Controls 1.2

import UM 1.1 as UM
import Cura 1.0 as Cura
import QtQuick.Layouts 1.1

APFlickable {

  height: UM.Theme.getSize("setting_control").height*3+UM.Theme.getSize("default_margin").width/2*2+2
  width: 260
  clip: true


  contentWidth: innerView.width;
  contentHeight: innerView.height


Column {
  id: innerView

  //height: childrenRect.height
  spacing: UM.Theme.getSize("default_margin").height;
  GridLayout {

    //width: childrenRect.width
    columns: 2
    //anchors.fill: parent;
    //Layout.fillWidth: true
    columnSpacing: UM.Theme.getSize("default_margin").width
    rowSpacing: UM.Theme.getSize("default_margin").width/2
    //spacing: UM.Theme.getSize("default_margin").width


    Text {
        text: "Type:"
        wrapMode: Text.WordWrap
        font: UM.Theme.getFont("default")
        color: UM.Theme.getColor("text")

    }
    Row {
      Cura.ComboBox {
        width: 150
        height: UM.Theme.getSize("setting_control").height
        currentIndex: UM.ActiveTool.properties.getValue("ConnectorGender")

          model: ListModel {
              id: cbItems
              ListElement { text: "Separate"; value: "sp" }
              ListElement { text: "Female: A | Male: B"; value: "fm" }
              ListElement { text: "Male: A | Female: B"; value: "mf" }
          }

          textRole: "text"
          /*
             onActivated:
             {
                 var newValue = model.get(index).value
                 if (propertyProvider.properties.value != newValue)
                 {
                     if (setValueFunction !== null)
                     {
                         setValueFunction(newValue)
                     }
                     else
                     {
                         propertyProvider.setPropertyValue("value", newValue)
                     }
                     forceUpdateOnChangeFunction()
                     afterOnEditingFinishedFunction()
                 }
             }*/

          onCurrentIndexChanged: {
            //changed
            UM.ActiveTool.setProperty("ConnectorGender", currentIndex);
            //console.debug(cbItems.get(currentIndex).text + ", " + cbItems.get(currentIndex).color)
          }
      }
    }




    /*Row {
      id: depthA
      visible: UM.ActiveTool.properties.getValue("ConnectorGender") == 0 || UM.ActiveTool.properties.getValue("ConnectorGender") == 1
      spacing: UM.Theme.getSize("default_margin").width*/
      Text {
          visible: UM.ActiveTool.properties.getValue("ConnectorGender") == 0 || UM.ActiveTool.properties.getValue("ConnectorGender") == 1
          text: "Depth A:"
          wrapMode: Text.WordWrap
          font: UM.Theme.getFont("default")
          color: UM.Theme.getColor("text")

      }
      TextField
      {
        visible: UM.ActiveTool.properties.getValue("ConnectorGender") == 0 || UM.ActiveTool.properties.getValue("ConnectorGender") == 1
          id: aTextField
          width: 150
          //width: UM.Theme.getSize("setting_control").width;
          height: UM.Theme.getSize("setting_control").height;
          property string unit: "mm";
          style: UM.Theme.styles.text_field;
          text: UM.ActiveTool.properties.getValue("DepthA")

          validator: DoubleValidator
          {
              decimals: 4
              locale: "en_US"
          }

          onEditingFinished:
          {
              var modified_text = text.replace(",", ".") // User convenience. We use dots for decimal values
              UM.ActiveTool.setProperty("DepthA", modified_text);
          }
          Keys.onBacktabPressed: selectTextInTextfield(aTextField)
          Keys.onTabPressed: selectTextInTextfield(aTextField)
          onActiveFocusChanged: if (activeFocus) {
            //depthB.visible = false
            UM.ActiveTool.triggerAction("_switchToBirdViewA");
            aTextField.forceActiveFocus(Qt.MouseFocusReason)
          }
          /*
          MouseArea {
            anchors.fill: parent
            //Set the focus reason so we can activate the keyboard on mobile devices
            onClicked: {
              aTextField.forceActiveFocus(Qt.MouseFocusReason)
              depthB.visible = false
              console.debug("Got click event received! \nSetting focus for TextField");
            }
            propagateComposedEvents: true
            visible: !textBox.focus

          }*/


      }


      Text {
        visible: UM.ActiveTool.properties.getValue("ConnectorGender") == 0 || UM.ActiveTool.properties.getValue("ConnectorGender") == 2
          text: "Depth B:"
          wrapMode: Text.WordWrap
          font: UM.Theme.getFont("default")
          color: UM.Theme.getColor("text")

      }
      TextField
      {   visible: UM.ActiveTool.properties.getValue("ConnectorGender") == 0 || UM.ActiveTool.properties.getValue("ConnectorGender") == 2
          width: 150
          id: bTextField
          //width: UM.Theme.getSize("setting_control").width;
          height: UM.Theme.getSize("setting_control").height;
          property string unit: "mm";
          style: UM.Theme.styles.text_field;
          text: UM.ActiveTool.properties.getValue("DepthB")

          validator: DoubleValidator
          {
              decimals: 4
              locale: "en_US"
          }
          onActiveFocusChanged: if (activeFocus) {
            //depthB.visible = false
            UM.ActiveTool.triggerAction("_switchToBirdViewB");
            bTextField.forceActiveFocus(Qt.MouseFocusReason)
          }

          onEditingFinished:
          {
            var modified_text = text.replace(",", ".") // User convenience. We use dots for decimal values
            UM.ActiveTool.setProperty("DepthB", modified_text);
          }
          Keys.onBacktabPressed: selectTextInTextfield(bTextField)
          Keys.onTabPressed: selectTextInTextfield(bTextField)
      }

      Text {

          text: "Tolerance:"
          wrapMode: Text.WordWrap
          font: UM.Theme.getFont("default")
          color: UM.Theme.getColor("text")

      }
      TextField
      {
          width: 150
          id: toleranceTextfield
          //width: UM.Theme.getSize("setting_control").width;
          height: UM.Theme.getSize("setting_control").height;
          property string unit: "mm";
          style: UM.Theme.styles.text_field;
          text: UM.ActiveTool.properties.getValue("Tolerance")

          validator: DoubleValidator
          {
              decimals: 4
              locale: "en_US"
          }

          onEditingFinished:
          {
            var modified_text = text.replace(",", ".") // User convenience. We use dots for decimal values
            UM.ActiveTool.setProperty("Tolerance", modified_text);

          }
          Keys.onBacktabPressed: selectTextInTextfield(toleranceTextfield)
          Keys.onTabPressed: selectTextInTextfield(toleranceTextfield)
      }

    }


}
}
